#include<iostream>
using namespace std;
pair<int,int> razdaljina(pair<int,int>a,pair<int,int>b){
pair<int,int> resenje;
resenje.first=a.first-b.first;
resenje.second=a.second-b.second;
}
int main(){
int n;
cin>>n;
pair<int,int> takmicar[n];
int m=0;
pair<int,int> l;
while (m<n){
cin>>takmicar[m].first;
cin>>takmicar[m].second;
m++;
}
int i=0,j=0,a,b,k=0;
while(i<n){
j=i+1;
while(j<n){
l=razdaljina(takmicar[i],takmicar[j]);a=j;
while(a<n){
b=a+1;
while(b<n){
if(l.first==razdaljina(takmicar[a],takmicar[b]).first*2&&l.second==razdaljina(takmicar[a],takmicar[b]).second*2||-1*l.first==razdaljina(takmicar[a],takmicar[b]).first*2&&-1*l.second==razdaljina(takmicar[a],takmicar[b]).second*2)
k++;b++;}
a++;}
j++;}
i++;}
cout<<k;
}